ros-rolling-moveit-common (2.12.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 29 Nov 2024 05:00:00 -0000

ros-rolling-moveit-common (2.11.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 16 Sep 2024 04:00:00 -0000

ros-rolling-moveit-common (2.10.0-1noble) noble; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Jun 2024 04:00:00 -0000

ros-rolling-moveit-common (2.9.0-1noble) noble; urgency=high

  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 09 Jan 2024 05:00:00 -0000

ros-rolling-moveit-common (2.8.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 04:00:00 -0000

ros-rolling-moveit-common (2.7.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 18 May 2023 04:00:00 -0000

ros-rolling-moveit-common (2.7.3-1noble) noble; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Apr 2023 04:00:00 -0000

ros-rolling-moveit-common (2.7.2-1noble) noble; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * enabled -wformat (#2065 <https://github.com/ros-planning/moveit2/issues/2065>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Heramb Modugula, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 18 Apr 2023 04:00:00 -0000

ros-rolling-moveit-common (2.7.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Mar 2023 04:00:00 -0000

ros-rolling-moveit-common (2.7.0-1noble) noble; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add -Wunused-parameter (#1756 <https://github.com/ros-planning/moveit2/issues/1756>)
  * Add -Wunused-function (#1754 <https://github.com/ros-planning/moveit2/issues/1754>)
  * Contributors: Chris Thrasher, Christian Henkel

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 29 Jan 2023 05:00:00 -0000

ros-rolling-moveit-common (2.6.0-1noble) noble; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 10 Nov 2022 05:00:00 -0000

ros-rolling-moveit-common (2.5.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 04:00:00 -0000

ros-rolling-moveit-common (2.5.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 04:00:00 -0000

ros-rolling-moveit-common (2.5.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 04:00:00 -0000

ros-rolling-moveit-common (2.5.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 04:00:00 -0000

ros-rolling-moveit-common (2.4.0-1noble) noble; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Contributors: Abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-moveit-common (2.3.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 05:00:00 -0000

ros-rolling-moveit-common (2.3.1-1noble) noble; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Add backward_ros to moveit_common (#794 <https://github.com/ros-planning/moveit2/issues/794>)
  * Contributors: Dave Coleman, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 05:00:00 -0000

ros-rolling-moveit-common (2.3.0-1noble) noble; urgency=high

  * Upgrade to C++17
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 04:00:00 -0000

ros-rolling-moveit-common (2.2.1-1noble) noble; urgency=high

  * Set project VERSION in moveit_common, fix sonames (#532 <https://github.com/ros-planning/moveit2/issues/532>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 04:00:00 -0000

ros-rolling-moveit-common (2.2.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 04:00:00 -0000

ros-rolling-moveit-common (2.1.4-1noble) noble; urgency=high

  * Fix ament_cmake 'buildtool_depend' in moveit_common (#480 <https://github.com/ros-planning/moveit2/issues/480>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 04:00:00 -0000

ros-rolling-moveit-common (2.1.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 04:00:00 -0000

ros-rolling-moveit-common (2.1.2-1noble) noble; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 04:00:00 -0000

ros-rolling-moveit-common (2.1.1-1noble) noble; urgency=high

  * Enable linting for moveit_common package (#379 <https://github.com/ros-planning/moveit2/issues/379>)
  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 04:00:00 -0000

ros-rolling-moveit-common (2.1.0-1noble) noble; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * Contributors: Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 05:00:00 -0000

ros-rolling-moveit-common (1.1.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 04:00:00 -0000

ros-rolling-moveit-common (1.1.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Sep 2020 04:00:00 -0000

ros-rolling-moveit-common (1.0.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 05:00:00 -0000

ros-rolling-moveit-common (1.0.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 05:00:00 -0000

ros-rolling-moveit-common (0.10.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 05:00:00 -0000

ros-rolling-moveit-common (0.10.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 04:00:00 -0000

ros-rolling-moveit-common (0.10.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 23:44:00 -0000

ros-rolling-moveit-common (0.10.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 08:12:00 -0000

ros-rolling-moveit-common (0.10.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 04:00:00 -0000

ros-rolling-moveit-common (0.10.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 04:00:00 -0000

ros-rolling-moveit-common (0.10.0-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 22 May 2018 04:00:00 -0000

ros-rolling-moveit-common (0.9.11-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 05:00:00 -0000

ros-rolling-moveit-common (0.9.10-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 05:00:00 -0000

ros-rolling-moveit-common (0.9.9-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 04:00:00 -0000

ros-rolling-moveit-common (0.9.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 04:00:00 -0000

ros-rolling-moveit-common (0.9.7-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 04:00:00 -0000

ros-rolling-moveit-common (0.9.6-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 04:00:00 -0000

ros-rolling-moveit-common (0.9.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 05:00:00 -0000

ros-rolling-moveit-common (0.9.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 05:00:00 -0000

ros-rolling-moveit-common (0.9.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 05:00:00 -0000

ros-rolling-moveit-common (0.9.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Nov 2016 04:00:00 -0000

ros-rolling-moveit-common (0.9.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 Oct 2016 04:00:00 -0000


